Page MenuHomePhabricator

Create a service that prepares Lexeme for presentation
Closed, InvalidPublic

Description

The service is intended to be used in the statement value formatter (see T187316). The service should generate the data to be presented, without any formatting, particular output format etc.

The outcome of this task will be a simple service, probably requiring the whole lexeme data to be available.
We expect the service to serve as the initial version of the service interface, that would allow to e.g. have presenting services operating on some DB indexes for performance, simplified presenting services to be used in tests, etc.

The initial interface will be of course subject to change as the work on T184997 progresses.

Event Timeline

WMDE-leszek triaged this task as Normal priority.Feb 14 2018, 1:46 PM
WMDE-leszek raised the priority of this task from Normal to High.
WMDE-leszek created this task.
WMDE-leszek removed a project: SDC General.
WMDE-leszek moved this task from Backlog to In Progress on the Wikidata-Sprint-2018-02-14 board.

Change 411028 had a related patch set uploaded (by WMDE-leszek; owner: WMDE-leszek):
[mediawiki/extensions/WikibaseLexeme@master] Add LexemePresenter

https://gerrit.wikimedia.org/r/411028

WMDE-leszek removed WMDE-leszek as the assignee of this task.Feb 19 2018, 1:26 PM
WMDE-leszek moved this task from In Progress to Review on the Wikidata-Sprint-2018-02-14 board.
WMDE-leszek closed this task as Invalid.Feb 26 2018, 3:34 PM

Closing as invalid as such service does not really seem needed at this point. I've overthought the whole thing.

Change 411028 abandoned by WMDE-leszek:
Add LexemePresenter

https://gerrit.wikimedia.org/r/411028